diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-clear-channel-cmu.cc ns-3.43/examples/wireless/wifi-clear-channel-cmu.cc
--- ns-3.42/examples/wireless/wifi-clear-channel-cmu.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-clear-channel-cmu.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Guangyu Pei <guangyu.pei@boeing.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-dsss-validation.cc ns-3.43/examples/wireless/wifi-dsss-validation.cc
--- ns-3.42/examples/wireless/wifi-dsss-validation.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-dsss-validation.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-eht-network.cc ns-3.43/examples/wireless/wifi-eht-network.cc
--- ns-3.42/examples/wireless/wifi-eht-network.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-eht-network.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Deronne <sebastien.deronne@gmail.com>
  */
@@ -145,6 +134,7 @@
     bool udp{true};
     bool downlink{true};
     bool useRts{false};
+    bool use80Plus80{false};
     uint16_t mpduBufferSize{512};
     std::string emlsrLinks;
     uint16_t paddingDelayUsec{32};
@@ -154,7 +144,7 @@
     uint16_t auxPhyChWidth{20};
     bool auxPhyTxCapable{true};
     Time simulationTime{"10s"};
-    double distance{1.0}; // meters
+    meter_u distance{1.0};
     double frequency{5};  // whether the first link operates in the 2.4, 5 or 6 GHz
     double frequency2{0}; // whether the second link operates in the 2.4, 5 or 6 GHz (0 means no
                           // second link exists)
@@ -218,6 +208,7 @@
                  "Generate downlink flows if set to 1, uplink flows otherwise",
                  downlink);
     cmd.AddValue("useRts", "Enable/disable RTS/CTS", useRts);
+    cmd.AddValue("use80Plus80", "Enable/disable use of 80+80 MHz", use80Plus80);
     cmd.AddValue("mpduBufferSize",
                  "Size (in number of MPDUs) of the BlockAck buffer",
                  mpduBufferSize);
@@ -298,6 +289,9 @@
         int minGi = enableUlOfdma ? 1600 : 800;
         for (int channelWidth = 20; channelWidth <= maxChannelWidth;) // MHz
         {
+            const auto is80Plus80 = (use80Plus80 && (channelWidth == 160));
+            const std::string widthStr = is80Plus80 ? "80+80" : std::to_string(channelWidth);
+            const auto segmentWidthStr = is80Plus80 ? "80" : widthStr;
             for (int gi = 3200; gi >= minGi;) // Nanoseconds
             {
                 if (!udp)
@@ -335,7 +329,7 @@
                     {
                         break;
                     }
-                    channelStr[nLinks] = "{0, " + std::to_string(channelWidth) + ", ";
+                    channelStr[nLinks] = "{0, " + segmentWidthStr + ", ";
                     if (freq == 6)
                     {
                         channelStr[nLinks] += "BAND_6GHZ, 0}";
@@ -379,6 +373,12 @@
                     {
                         NS_FATAL_ERROR("Wrong frequency value!");
                     }
+
+                    if (is80Plus80)
+                    {
+                        channelStr[nLinks] += std::string(";") + channelStr[nLinks];
+                    }
+
                     nLinks++;
                 }
 
@@ -389,12 +389,6 @@
 
                 Ssid ssid = Ssid("ns3-80211be");
 
-                /*
-                 * SingleModelSpectrumChannel cannot be used with 802.11be because two
-                 * spectrum models are required: one with 78.125 kHz bands for HE PPDUs
-                 * and one with 312.5 kHz bands for, e.g., non-HT PPDUs (for more details,
-                 * see issue #408 (CLOSED))
-                 */
                 SpectrumWifiPhyHelper phy(nLinks);
                 phy.SetPcapDataLinkType(WifiPhyHelper::DLT_IEEE802_11_RADIO);
                 phy.Set("ChannelSwitchDelay", TimeValue(MicroSeconds(channelSwitchDelayUsec)));
@@ -442,8 +436,8 @@
                 apDevice = wifi.Install(phy, mac, wifiApNode);
 
                 int64_t streamNumber = 100;
-                streamNumber += wifi.AssignStreams(apDevice, streamNumber);
-                streamNumber += wifi.AssignStreams(staDevices, streamNumber);
+                streamNumber += WifiHelper::AssignStreams(apDevice, streamNumber);
+                streamNumber += WifiHelper::AssignStreams(staDevices, streamNumber);
 
                 // Set guard interval and MPDU buffer size
                 Config::Set(
@@ -493,7 +487,7 @@
                 }
 
                 const auto maxLoad =
-                    nLinks * EhtPhy::GetDataRate(mcs, channelWidth, gi, 1) / nStations;
+                    nLinks * EhtPhy::GetDataRate(mcs, channelWidth, NanoSeconds(gi), 1) / nStations;
                 if (udp)
                 {
                     // UDP flow
@@ -580,8 +574,9 @@
 
                 Simulator::Destroy();
 
-                std::cout << mcs << "\t\t\t" << channelWidth << " MHz\t\t\t" << gi << " ns\t\t\t"
-                          << throughput << " Mbit/s" << std::endl;
+                std::cout << +mcs << "\t\t\t" << widthStr << " MHz\t\t"
+                          << (widthStr.size() > 3 ? "" : "\t") << gi << " ns\t\t\t" << throughput
+                          << " Mbit/s" << std::endl;
 
                 // test first element
                 if (mcs == minMcs && channelWidth == 20 && gi == 3200)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-error-models-comparison.cc ns-3.43/examples/wireless/wifi-error-models-comparison.cc
--- ns-3.42/examples/wireless/wifi-error-models-comparison.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-error-models-comparison.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Sébastien Deronne <sebastien.deronne@gmail.com>
  *          Rohan Patidar <rpatidar@uw.edu>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-he-network.cc ns-3.43/examples/wireless/wifi-he-network.cc
--- ns-3.42/examples/wireless/wifi-he-network.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-he-network.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 SEBASTIEN DERONNE
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Deronne <sebastien.deronne@gmail.com>
  */
@@ -72,10 +61,11 @@
     bool udp{true};
     bool downlink{true};
     bool useRts{false};
+    bool use80Plus80{false};
     bool useExtendedBlockAck{false};
     Time simulationTime{"10s"};
-    double distance{1.0}; // meters
-    double frequency{5};  // whether 2.4, 5 or 6 GHz
+    meter_u distance{1.0};
+    double frequency{5}; // whether 2.4, 5 or 6 GHz
     std::size_t nStations{1};
     std::string dlAckSeqType{"NO-OFDMA"};
     bool enableUlOfdma{false};
@@ -101,6 +91,7 @@
                  "Generate downlink flows if set to 1, uplink flows otherwise",
                  downlink);
     cmd.AddValue("useRts", "Enable/disable RTS/CTS", useRts);
+    cmd.AddValue("use80Plus80", "Enable/disable use of 80+80 MHz", use80Plus80);
     cmd.AddValue("useExtendedBlockAck", "Enable/disable use of extended BACK", useExtendedBlockAck);
     cmd.AddValue("nStations", "Number of non-AP HE stations", nStations);
     cmd.AddValue("dlAckType",
@@ -119,7 +110,8 @@
     cmd.AddValue("mcs", "if set, limit testing to a specific MCS (0-11)", mcs);
     cmd.AddValue("payloadSize", "The application payload size in bytes", payloadSize);
     cmd.AddValue("phyModel",
-                 "PHY model to use when OFDMA is disabled (Yans or Spectrum). If OFDMA is enabled "
+                 "PHY model to use when OFDMA is disabled (Yans or Spectrum). If 80+80 MHz or "
+                 "OFDMA is enabled "
                  "then Spectrum is automatically selected",
                  phyModel);
     cmd.AddValue("minExpectedThroughput",
@@ -161,9 +153,9 @@
     {
         NS_ABORT_MSG("Invalid PHY model (must be Yans or Spectrum)");
     }
-    if (dlAckSeqType != "NO-OFDMA")
+    if (use80Plus80 || (dlAckSeqType != "NO-OFDMA"))
     {
-        // SpectrumWifiPhy is required for OFDMA
+        // SpectrumWifiPhy is required for 80+80 MHz and OFDMA
         phyModel = "Spectrum";
     }
 
@@ -191,6 +183,9 @@
         int minGi = enableUlOfdma ? 1600 : 800;
         for (int channelWidth = 20; channelWidth <= maxChannelWidth;) // MHz
         {
+            const auto is80Plus80 = (use80Plus80 && (channelWidth == 160));
+            const std::string widthStr = is80Plus80 ? "80+80" : std::to_string(channelWidth);
+            const auto segmentWidthStr = is80Plus80 ? "80" : widthStr;
             for (int gi = 3200; gi >= minGi;) // Nanoseconds
             {
                 if (!udp)
@@ -207,7 +202,7 @@
                 NetDeviceContainer staDevices;
                 WifiMacHelper mac;
                 WifiHelper wifi;
-                std::string channelStr("{0, " + std::to_string(channelWidth) + ", ");
+                std::string channelStr("{0, " + segmentWidthStr + ", ");
                 StringValue ctrlRate;
                 auto nonHtRefRateMbps = HePhy::GetNonHtReferenceRate(mcs) / 1e6;
 
@@ -216,7 +211,6 @@
 
                 if (frequency == 6)
                 {
-                    wifi.SetStandard(WIFI_STANDARD_80211ax);
                     ctrlRate = StringValue(ossDataMode.str());
                     channelStr += "BAND_6GHZ, 0}";
                     Config::SetDefault("ns3::LogDistancePropagationLossModel::ReferenceLoss",
@@ -224,7 +218,6 @@
                 }
                 else if (frequency == 5)
                 {
-                    wifi.SetStandard(WIFI_STANDARD_80211ax);
                     std::ostringstream ossControlMode;
                     ossControlMode << "OfdmRate" << nonHtRefRateMbps << "Mbps";
                     ctrlRate = StringValue(ossControlMode.str());
@@ -232,7 +225,6 @@
                 }
                 else if (frequency == 2.4)
                 {
-                    wifi.SetStandard(WIFI_STANDARD_80211ax);
                     std::ostringstream ossControlMode;
                     ossControlMode << "ErpOfdmRate" << nonHtRefRateMbps << "Mbps";
                     ctrlRate = StringValue(ossControlMode.str());
@@ -245,6 +237,12 @@
                     NS_FATAL_ERROR("Wrong frequency value!");
                 }
 
+                if (is80Plus80)
+                {
+                    channelStr += std::string(";") + channelStr;
+                }
+
+                wifi.SetStandard(WIFI_STANDARD_80211ax);
                 wifi.SetRemoteStationManager("ns3::ConstantRateWifiManager",
                                              "DataMode",
                                              StringValue(ossDataMode.str()),
@@ -257,17 +255,9 @@
 
                 if (phyModel == "Spectrum")
                 {
-                    /*
-                     * SingleModelSpectrumChannel cannot be used with 802.11ax because two
-                     * spectrum models are required: one with 78.125 kHz bands for HE PPDUs
-                     * and one with 312.5 kHz bands for, e.g., non-HT PPDUs (for more details,
-                     * see issue #408 (CLOSED))
-                     */
-                    Ptr<MultiModelSpectrumChannel> spectrumChannel =
-                        CreateObject<MultiModelSpectrumChannel>();
+                    auto spectrumChannel = CreateObject<MultiModelSpectrumChannel>();
 
-                    Ptr<LogDistancePropagationLossModel> lossModel =
-                        CreateObject<LogDistancePropagationLossModel>();
+                    auto lossModel = CreateObject<LogDistancePropagationLossModel>();
                     spectrumChannel->AddPropagationLossModel(lossModel);
 
                     SpectrumWifiPhyHelper phy;
@@ -301,7 +291,7 @@
                 }
                 else
                 {
-                    YansWifiChannelHelper channel = YansWifiChannelHelper::Default();
+                    auto channel = YansWifiChannelHelper::Default();
                     YansWifiPhyHelper phy;
                     phy.SetPcapDataLinkType(WifiPhyHelper::DLT_IEEE802_11_RADIO);
                     phy.SetChannel(channel.Create());
@@ -323,8 +313,8 @@
                 }
 
                 int64_t streamNumber = 150;
-                streamNumber += wifi.AssignStreams(apDevice, streamNumber);
-                streamNumber += wifi.AssignStreams(staDevices, streamNumber);
+                streamNumber += WifiHelper::AssignStreams(apDevice, streamNumber);
+                streamNumber += WifiHelper::AssignStreams(staDevices, streamNumber);
 
                 // mobility.
                 MobilityHelper mobility;
@@ -366,7 +356,8 @@
                     clientNodes.Add(downlink ? wifiApNode.Get(0) : wifiStaNodes.Get(i));
                 }
 
-                const auto maxLoad = HePhy::GetDataRate(mcs, channelWidth, gi, 1) / nStations;
+                const auto maxLoad =
+                    HePhy::GetDataRate(mcs, channelWidth, NanoSeconds(gi), 1) / nStations;
                 if (udp)
                 {
                     // UDP flow
@@ -454,8 +445,9 @@
 
                 Simulator::Destroy();
 
-                std::cout << mcs << "\t\t\t" << channelWidth << " MHz\t\t\t" << gi << " ns\t\t\t"
-                          << throughput << " Mbit/s" << std::endl;
+                std::cout << +mcs << "\t\t\t" << widthStr << " MHz\t\t"
+                          << (widthStr.size() > 3 ? "" : "\t") << gi << " ns\t\t\t" << throughput
+                          << " Mbit/s" << std::endl;
 
                 // test first element
                 if (mcs == minMcs && channelWidth == 20 && gi == 3200)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-hidden-terminal.cc ns-3.43/examples/wireless/wifi-hidden-terminal.cc
--- ns-3.42/examples/wireless/wifi-hidden-terminal.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-hidden-terminal.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 IITP RAS
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Pavel Boyko <boyko@iitp.ru>
  *
@@ -125,7 +114,8 @@
     cbrApps.Add(onOffHelper.Install(nodes.Get(0)));
 
     // flow 2:  node 2 -> node 1
-    /** \internal
+    /**
+     * \internal
      * The slightly different start times and data rates are a workaround
      * for \bugid{388} and \bugid{912}
      */
@@ -133,7 +123,8 @@
     onOffHelper.SetAttribute("StartTime", TimeValue(Seconds(1.001)));
     cbrApps.Add(onOffHelper.Install(nodes.Get(2)));
 
-    /** \internal
+    /**
+     * \internal
      * We also use separate UDP applications that will send a single
      * packet before the CBR flows start.
      * This is a workaround for the lack of perfect ARP, see \bugid{187}
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-ht-network.cc ns-3.43/examples/wireless/wifi-ht-network.cc
--- ns-3.42/examples/wireless/wifi-ht-network.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-ht-network.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,23 +1,13 @@
 /*
  * Copyright (c) 2009 MIRKO BANCHI
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Mirko Banchi <mk.banchi@gmail.com>
  *          Sebastien Deronne <sebastien.deronne@gmail.com>
  */
 
+#include "ns3/attribute-container.h"
 #include "ns3/boolean.h"
 #include "ns3/command-line.h"
 #include "ns3/config.h"
@@ -67,9 +57,9 @@
     bool udp{true};
     bool useRts{false};
     Time simulationTime{"10s"};
-    double distance{1.0}; // meters
-    double frequency{5};  // whether 2.4 or 5 GHz
-    int mcs{-1};          // -1 indicates an unset value
+    meter_u distance{1.0};
+    double frequency{5}; // whether 2.4 or 5 GHz
+    int mcs{-1};         // -1 indicates an unset value
     double minExpectedThroughput{0.0};
     double maxExpectedThroughput{0.0};
 
@@ -176,10 +166,12 @@
                 wifi.ConfigHtOptions("ShortGuardIntervalSupported", BooleanValue(sgi));
 
                 Ssid ssid = Ssid("ns3-80211n");
-                TupleValue<UintegerValue, UintegerValue, EnumValue<WifiPhyBand>, UintegerValue>
+                AttributeContainerValue<
+                    TupleValue<UintegerValue, UintegerValue, EnumValue<WifiPhyBand>, UintegerValue>,
+                    ';'>
                     channelValue;
                 WifiPhyBand band = (frequency == 5.0 ? WIFI_PHY_BAND_5GHZ : WIFI_PHY_BAND_2_4GHZ);
-                channelValue.Set(WifiPhy::ChannelTuple{0, channelWidth, band, 0});
+                channelValue.Set(WifiPhy::ChannelSegments{{0, channelWidth, band, 0}});
 
                 mac.SetType("ns3::StaWifiMac", "Ssid", SsidValue(ssid));
                 phy.Set("ChannelSettings", channelValue);
@@ -197,8 +189,8 @@
                 apDevice = wifi.Install(phy, mac, wifiApNode);
 
                 int64_t streamNumber = 150;
-                streamNumber += wifi.AssignStreams(apDevice, streamNumber);
-                streamNumber += wifi.AssignStreams(staDevice, streamNumber);
+                streamNumber += WifiHelper::AssignStreams(apDevice, streamNumber);
+                streamNumber += WifiHelper::AssignStreams(staDevice, streamNumber);
 
                 // mobility.
                 MobilityHelper mobility;
@@ -229,7 +221,8 @@
                 apNodeInterface = address.Assign(apDevice);
 
                 /* Setting applications */
-                const auto maxLoad = HtPhy::GetDataRate(mcs, channelWidth, sgi ? 400 : 800, 1);
+                const auto maxLoad =
+                    HtPhy::GetDataRate(mcs, channelWidth, NanoSeconds(sgi ? 400 : 800), 1);
                 ApplicationContainer serverApp;
                 if (udp)
                 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-mixed-network.cc ns-3.43/examples/wireless/wifi-mixed-network.cc
--- ns-3.42/examples/wireless/wifi-mixed-network.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-mixed-network.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Sébastien Deronne
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-multirate.cc ns-3.43/examples/wireless/wifi-multirate.cc
--- ns-3.42/examples/wireless/wifi-multirate.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-multirate.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Duy Nguyen <duy@soe.ucsc.edu>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-multi-tos.cc ns-3.43/examples/wireless/wifi-multi-tos.cc
--- ns-3.42/examples/wireless/wifi-multi-tos.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-multi-tos.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sebastien Deronne <sebastien.deronne@gmail.com>
  */
@@ -49,7 +38,7 @@
 {
     uint32_t nWifi{4};
     Time simulationTime{"10s"};
-    double distance{1.0}; // meters
+    meter_u distance{1.0};
     uint16_t mcs{7};
     uint8_t channelWidth{20}; // MHz
     bool useShortGuardInterval{false};
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-ofdm-eht-validation.cc ns-3.43/examples/wireless/wifi-ofdm-eht-validation.cc
--- ns-3.42/examples/wireless/wifi-ofdm-eht-validation.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-ofdm-eht-validation.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2021 DERONNE SOFTWARE ENGINEERING
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-ofdm-he-validation.cc ns-3.43/examples/wireless/wifi-ofdm-he-validation.cc
--- ns-3.42/examples/wireless/wifi-ofdm-he-validation.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-ofdm-he-validation.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-ofdm-ht-validation.cc ns-3.43/examples/wireless/wifi-ofdm-ht-validation.cc
--- ns-3.42/examples/wireless/wifi-ofdm-ht-validation.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-ofdm-ht-validation.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,16 +1,5 @@
 /*
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Sébastien Deronne <sebastien.deronne@gmail.com>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/examples/wireless/wifi-ofdm-validation.cc ns-3.43/examples/wireless/wifi-ofdm-validation.cc
--- ns-3.42/examples/wireless/wifi-ofdm-validation.cc	2024-05-29 15:29:46.912073100 -0700
+++ ns-3.43/examples/wireless/wifi-ofdm-validation.cc	2024-10-09 16:41:09.840655800 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2010 The Boeing Company
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Gary Pei <guangyu.pei@boeing.com>
  */
